Allow to change the output file with the RSB-based control server
05/14/2014 04:33 PM - J. Wienke

Status: Resolved Start date: 05/14/2014
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Commandline Tools Estimated time: 0.00 hour
Target version: rsb-0.11
Description

It would be nice if the RPC-based control server also allowed to record to different files during a single runtime of the process.

Associated revisions
Revision 6d729c18 - 05/20/2014 06:31 PM - J. Moringen

Add switching bag files to remote control interface in bag-record/main.lisp

fixes #1885

    -  bag-record/main.lisp (header): updated copyright
  (invoke-with-control-service): added parameter for accepting a
  connection-opening thunk; added methods "open", "close"; added
  necessary locking, state management and error signaling
  (update-synopsis): added description of new methods to specification
  of control-uri commandline option
  (main): output-file commandline option is not required if a control
  URI has been supplied; adapted to changed interface of
  `invoke-with-control-service'

Revision a0d82564 - 05/20/2014 09:04 PM - J. Moringen

Adapted description of remote interface in bag-record.rst

refs #1885

    -  bag-record.rst: added description of added "open" and "close" method;
  adapted description of existing methods according to interface changes

History
#1 - 05/20/2014 06:40 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rsbag-tools-cl|commit:6d729c186ec4fff6753ef6a632fb325696fd6dbf.

#2 - 05/20/2014 07:41 PM - J. Moringen
- Category set to Commandline Tools
- Status changed from Resolved to New
- Target version set to rsb-0.11
- % Done changed from 100 to 0

#3 - 05/20/2014 07:41 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100
